Bug 430419 - Brasero doesn't burn double layer dvds [NEEDINFO]
Summary: Brasero doesn't burn double layer dvds
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: brasero
Version: 21
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-27 22:27 UTC by markm
Modified: 2019-06-26 11:45 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 02:31:09 UTC
hoffmann: needinfo? (extras-qa)
ekanter: needinfo? (lxtnow)


Attachments (Terms of Use)
brasero declines to burn dvd+r dl disc (41.31 KB, image/png)
2008-02-05 22:44 UTC, markm
no flags Details

Description markm 2008-01-27 22:27:49 UTC
Description of problem:

Brasero does not burn dual layer dvds

Version-Release number of selected component (if applicable):

0.7.0

How reproducible:

always

Steps to Reproduce:
1. run brasero
2. insert double layer empty disc
3. create a data to burn
4. try to burn
  
Actual results:

it says that medium is not writeable with current set of plugins

Expected results:

brasero should burn double layer dvd out of the box if dvd writer supports it

Additional info:

My brand new XPS 1330 laptop came with Ubuntu preinstalled on it and under
ubuntu I was able to burn double layer dvd, but... I prefer to use Fedora, and
after Fedora installation... I can't burn double layer dvds.

Comment 1 Denis Leroy 2008-01-29 14:33:25 UTC
Were you able to burn DVD-DL on Ubuntu WITH brasero ?!?


Comment 2 markm 2008-01-29 14:39:29 UTC
yes.

I've inserted a DL DVD-L disc into a dvd slot and brasero said "medium is
writeable" so I burn dvd iso on it (dvd iso with ubuntu-dell-install.iso).

Do you suggest that brasero is not able to burn double layer dvds? I cannot do
that again, as I have installed Fedora instead of ubuntu.

how can I burn double layer dvds on Fedora then?

Comment 3 Denis Leroy 2008-01-29 14:43:40 UTC
Hmm, no this suggests to me that this is not a brasero problem, more related to
the dvd burning backend (dvd+rw-tools). Do you happen to know what version of
brasero you were using on Ubuntu ?

On Fedora, have you tried burning a DVD using Nautilus (the file browser CD
creator) ?


Comment 4 markm 2008-01-29 15:07:33 UTC
I am sure it was version 0.6.x (don't remember exact version number, but
remember that I've checked version and it wasn't 0.7) - I had a problem with
brasero 0.6.1 in my Fedora (on different laptop).

I have two laptops: Dell D620 and recently I've bought XPS m1330. And it's a
longer story:

On D620 I was never able to burn double layer dvds, although K3b claims my dvd
burner supports both DVD-R DL and DVD+R DL - I've tried to burn DL dvds using
K3b, Nero for linux and Brasero - even nautilus was not able to detect correctly
inserted dvd so I thought my dvd writer does not support dual layer writing.

My friend borrowed me an usb external dvd writer (Samsung, can't remember exact
model) and still - using this drive I was not able to burn DVD-R DL - so I
thought Linux does not support dual layer writing and dropped the subject for
couple of months.

But when I got my new XPS m1330 laptop I just wanted to give a try and...
surprise! it actually works, in Ubuntu, but not in Fedora.

I am at work right now and don't have either D620 or XPS on me, so will do test
later and will post results here.

Comment 5 Denis Leroy 2008-01-29 15:31:30 UTC
Harald, does DVD-DL "just works" on F-8 ? Any thoughts on this ?


Comment 6 markm 2008-02-05 22:44:03 UTC
I did a test with DVD+R DL disc:

brasero: doesn't want to burn, claims:

the medium is not writeable with the current set of plugins (there is misspelled
word in the message, it says "writable" instead of "writeable"), see screenshot.

but, surprisingly nautilus was able to burn DVD+R DL disc... so bet there is
something wrong with brasero...

Comment 7 markm 2008-02-05 22:44:39 UTC
Created attachment 294055 [details]
brasero declines to burn dvd+r dl disc

Comment 8 markm 2008-02-05 23:06:15 UTC
ok.

nautilus burnt a double layer dvd+r but could copy only 5.7 GB out of 7.2 GB
written on the disc. I am starting another test right now.

Comment 9 Bug Zapper 2008-11-26 09:35:27 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 markm 2008-12-16 23:28:55 UTC
problem still exists in Fedora 10

Comment 11 Fedora Admin XMLRPC Client 2009-06-03 14:45:52 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Jörg Schilling 2009-06-04 17:52:15 UTC
The OP did not mention whether braseri did use growisofs 
or wodim......


Note that wodim does not support to write DVDs at all
as someone did replace a working DVD driver with something 
half baken.

I recommend you to manually removed /usr/bin/wodim and similar
as well as the symlinks and install recent original software
instead:

ftp://ftp.berlios.de/pub/cdrecord/alpha/

note that wodim is full of bugs that do not apply
to the original software.

Comment 13 Bug Zapper 2009-11-18 09:33:24 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Norman 2010-03-29 20:16:54 UTC
I also have a dual layer dvd burner, my burner works flawlessly under Fedora 12 with DC,DVD or DVD-DL media.

Fedora 13 reports "Please replace the disc with a supported CD or DVD" when I right click an ISO and select "Write to disc" with any type of DVD.

Comment 15 Norman 2010-03-29 20:18:04 UTC
(In reply to comment #14)
> I also have a dual layer dvd burner, my burner works flawlessly under Fedora 12
> with DC,DVD or DVD-DL media.
> 
> Fedora 13 reports "Please replace the disc with a supported CD or DVD" when I
> right click an ISO and select "Write to disc" with any type of DVD.    

Correction:
my burner works flawlessly under Fedora 12
with CD, DVD or DVD-DL media.

Comment 16 Jörg Schilling 2010-03-29 20:33:27 UTC
I am not sure what you did, but I can verify that wodim
definitely does not support to write Dual layer media.

I recommend to use the original cdrecord.

Comment 17 Norman 2010-03-30 01:51:16 UTC
I have now installed GnomeBaker (and dependency) in Fedora 13.
I can burn dual layer DVDs again.

Comment 18 Bug Zapper 2010-11-04 12:03:13 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 19 markm 2010-11-09 23:52:33 UTC
unfortunately, on Fedora 14 wodim still does not burn double layer DVD's - had to install original cdrecord and burn DL-DVD using k3b - k3b detects cdrecord installed and prefers it over wodim, which is very handy.

Comment 20 Simone Caronni 2011-10-26 08:53:59 UTC
That's the neverending story of cdrtools/cdrkit:

https://bugzilla.redhat.com/show_bug.cgi?id=507108

Unfortunately for me the only thing that works on the 4 burners I have at home (2 laptops and a desktop with 2 burners) is cdrtools.

Wodim (cdrkit), when it finishes burning, produces unreadable dvds 50% of the time; the percentage rises a bit more with DVD+R discs but there's not much difference. With dual layer dvds I have 50% of success in burning and always unreadable discs.

Brasero almost never gives me a complete burn with no errors and crash when burning dvds.

Cdroms, on the other hand, get burnt perfectly with brasero, wodim and cdrecord.

Regards,
--Simone

Comment 21 Fedora End Of Life 2012-08-16 19:00:47 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 22 markm 2012-08-16 19:07:04 UTC
just tested, still does not work in Fedora 17.

Comment 23 markm 2012-11-14 17:29:32 UTC
tested once again, still does not fixed in Fedora 17

the only way to get it working is to install K3b + cdrtools from http://cdrecord.berlios.de/private/cdrecord.html - this is the only way I can burn any dvds/dl dvds.

Comment 24 Fedora End Of Life 2013-07-04 06:50:30 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 25 Jörg Schilling 2013-07-04 09:41:03 UTC
Given the fact that cdrkit is unmaintained since May 2007 (none of
the > 100 well known and well documented bugs has been fixed since
than) and that growisofs did not produce a new version since March
2008, it is obvious that this problem is independent from a ferora
version.

I still don't understand why fedora still ships "cdrkit" that has 
several identified legality problems while the well maintained and
fulle legal original project "cdrtools" is ignored.

Is fedora uninterested on the problems of it's users?

Comment 26 markm 2013-07-04 10:54:16 UTC
Just tested on Fedora 19, brasero still does not burn double layer dvds...

K3B using cdrecord (from cdrecord.berlios.de) works flawlessly.

Comment 27 Jörg Schilling 2013-07-04 11:21:31 UTC
Recent versions of cdrtools even implement support for fine grained privileges
on Linux, so in case the related tools are installed, there are other
ways to gain the needed privileges than using suid root.

Comment 28 Fedora End Of Life 2015-01-09 21:36:26 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 29 markm 2015-01-11 14:05:52 UTC
Still does not work...

Comment 30 Jörg Schilling 2015-01-12 11:40:29 UTC
As the problem exists because of the backend selected by Redhat, it
is of course most unlikely that this problem will go away just by
incrementing Redhat releases.....

The problem is that Redhat left the OSS path and no longer ships
existing maintained OSS. If Redhat did ship the original cdrtools
and removed all changes to frontends that enforce their unmaintained
buggy fork, als currently documented bugs in this area would go away.

Comment 31 Fedora End Of Life 2015-11-04 15:44:02 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 32 Jörg Schilling 2015-11-04 16:38:40 UTC
This bug is independent of Fedora releases as long as Fedora does not replace wodim by the original cdrtools software.

wodim is unmaintained since May 2007 and did never support to write double layer DVDs.

You need the original cdrecord in order to do so.

Comment 33 Fedora End Of Life 2015-12-02 02:31:13 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 34 Jörg Schilling 2015-12-02 10:24:16 UTC
In other words: RedHat insists in shipping the buggy wodim that cannot be legally distributed even though the legal original cdrtools exist and shipping cdrtools would fix the bug.

Comment 35 Dirk Hoffmann 2018-11-12 01:00:25 UTC
This bug is still present in Fedora 28, ten releases later than the OP. It is a pity and a shame for the Fedora community.

I needed to burn an 8GB DVD bought a bunch of DVD+R_DL for the first time in my life and trashed the first one with the shitty wodim program, sneaking in maliciously under the disguise of "cdrecord" via two symlinks /usr/bin/cdrecord->/etc/alternatives/cdrecord->/usr/bin/wodim. 

I am using cdrecord (the original) since 1999 or so, and I thought it would be good to share my success story for the present story here, as the references given above are not all up to date. This was done on an up to date Fedora 28:

$ wget https://sourceforge.net/projects/cdrtools/files/alpha/cdrtools-3.02a09.tar.bz2/download -O cdrtools-3.02a09.tar.bz2
$ tar xf wget cdrtools-3.02a09.tar.bz2/download
$ cd cdrtools-3.02
$ gmake
# Ignore the warnings / GNU make bug as indicated. No need to install Schily's smake.
$ sudo ./cdrecord/OBJ/x86_64-linux-cc/cdrecord -eject $HOME/Scratch/dvd-dl.iso
# Wait until it is done. Patiently. ;-)

I checked the contents after mounting the DVD under /run/media, with (bash):
$ nohup find /run/media/path/to/dvd -type f -exec md5sum {} \; > /tmp/dvd.md5 &
$ sudo mount $HOME/Scratch/dvd-dl.iso /mnt
$ nohup find /mnt -type f -exec md5sum {} \; > /tmp/iso.md5 &
$ wait
$ diff <(sed s/.mnt.// /tmp/iso.md5) <(sed s/.run.*dvd// /tmp/dvd.md5)

And it confirmed what I experienced with cdrecord for almost twenty years now. It is very robust, universal, compatible and up to date software, which deserves being used as widely as possible. In 20 years on a handful of architectures and a dozen of OSes, I have never been deceived (as I was with wodim, who made me loose my first blank CD under Unix due to s/w incompatibility [and a lot of time in addition]).

Final remark: Why is it so difficult to integrate the cdrecord package again into Fedora? It looks like an incompetent person, for some time in charge for packaging another distribution, led Fedora to ban cdrecord from its distro as well. I do not buy the licence argument. The copyright holder (J. Schily) explicitely asked you to include his software; that explicit statement preempts any potential licence issue (which obviously is a non-issue according to certain lawyers like those from Oracle, certainly not idiots or newcomers in the field). 

Please, Fedora packagers, make an effort (or tell me how I can help; making a regular RPM from the sources should not be an obstacle)!

Comment 36 Richard Shaw 2018-11-12 14:07:56 UTC
I tried to get cdrtools back in Fedora a few years ago but ran into the same legal issue. Fedora Legal made the call so it's probably not going to change until something in the situation changes, namely the license.

Comment 37 Jörg Schilling 2018-11-12 14:51:55 UTC
There is no legal issue with cdrtools and there never has been such an issue.

All Linux distros that asked their lawyers did finally discover that there was nothing than a pointless diffamation campaign from Debian. The results from Suse have been made available in the open by the Suse lawyer Ciaran Farrell who studied lay in Ireland and Germany and thus knowns common law and European law at the same time.

The problem at Redhat is caused by a person called "Tom Callaway" that blocks this case even though there is no legal reason.

If you like to get forward with your issue, you need to find w way to bypass "Tom Callaway".

Comment 38 Eugene Kanter 2019-06-26 11:34:59 UTC
F29 still the same.

Comment 39 Jörg Schilling 2019-06-26 11:45:15 UTC
Given that there is no attempt to fix that bug since more than 11 years,
my impression is that Fedora is dead.


Note You need to log in before you can comment on or make changes to this bug.